Bug 143113 - [PATCH] Unbreak editors/emacs now that utmp.h is gone
Summary: [PATCH] Unbreak editors/emacs now that utmp.h is gone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-23 10:30 UTC by Giorgos Keramidas
Modified: 2010-02-02 07:10 UTC (History)
1 user (show)

See Also:


Attachments
editors-emacs-utmp.h-check.patch (2.80 KB, patch)
2010-01-23 10:30 UTC, Giorgos Keramidas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Giorgos Keramidas freebsd_committer 2010-01-23 10:30:02 UTC
GNU Emacs includes "utmp.h" but doesn't really need it on FreeBSD,
because src/filelock.c works fine with the sysctl interface of
"kern.boottime".  So make the utmp.h include conditional and check at
configure-time if it's missing.
Comment 1 Edwin Groothuis freebsd_committer 2010-01-23 10:30:13 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-01-23 10:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->keramida

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2010-01-23 10:30:24 UTC
Maintainer of editors/emacs,

Please note that PR ports/143113 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143113

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2010-01-23 10:30:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Giorgos Keramidas freebsd_committer 2010-01-23 10:32:55 UTC
Responsible Changed
From-To: keramida->freebsd-ports-bugs

Back to the pool to work with a ports-committer on this.
Comment 6 Giorgos Keramidas 2010-01-24 14:10:00 UTC
Adding to audit trail...

The developers of Emacs have accepted the patch for the next pretest
build and pushed it to the bzr repository of Emacs.  So this can stay as
a local patch for editors/emacs (based on 23.1) until we have a new
Emacs release.  Then we can remove the local FreeBSD-specific patches.
Comment 7 Erwin Lansing freebsd_committer 2010-01-31 19:18:00 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 8 Philip M. Gollucci freebsd_committer 2010-02-01 04:04:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 9 Philip M. Gollucci freebsd_committer 2010-02-02 07:03:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 10 dfilter service freebsd_committer 2010-02-02 07:03:24 UTC
pgollucci    2010-02-02 07:03:11 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs        Makefile 
  Added files:
    editors/emacs/files  patch-ChangeLog patch-configure.in 
                         patch-src-ChangeLog patch-src-filelock.c 
  Log:
  - fix utmp.h -> utmpx.h
    fixes are included in upstream e-mail so this is temporary
  
  PR:             ports/143113
  Submitted by:   Giorgos Keramidas <keramida@freebsd.org> (maintainer)
  
  Revision  Changes    Path
  1.87      +2 -0      ports/editors/emacs/Makefile
  1.1       +11 -0     ports/editors/emacs/files/patch-ChangeLog (new)
  1.5       +11 -0     ports/editors/emacs/files/patch-configure.in (new)
  1.1       +12 -0     ports/editors/emacs/files/patch-src-ChangeLog (new)
  1.1       +12 -0     ports/editors/emacs/files/patch-src-filelock.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"